## lumina-1.6.2.tar.gz

=== port-files/FreeBSD/deskutils/lumina-archiver/Makefile ===
# $FreeBSD$

PORTNAME=	lumina-archiver
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	jt@ixsystems.com
COMMENT=	Archive manager from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_SUB=		yes
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USES=		qmake qt:5
USE_QT=		core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USE_GITHUB=	yes
GH_ACCOUNT=	lumina-desktop
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== port-files/FreeBSD/deskutils/lumina-fm/Makefile ===
# $FreeBSD$

PORTNAME=	lumina-fm
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	jt@ixsystems.com
COMMENT=	Insight file manager from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_SUB=		yes
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USES=		qmake qt:5
USE_QT=		core gui widgets network svg imageformats \
		buildtools_build x11extras multimedia concurrent
USE_GITHUB=	yes
GH_ACCOUNT=	lumina-desktop
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== port-files/FreeBSD/deskutils/lumina-photo/Makefile ===
# $FreeBSD$

PORTNAME=	lumina-photo
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	jt@ixsystems.com
COMMENT=	Image viewer utility from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_SUB=		yes
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USES=		qmake qt:5
USE_QT=		core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USE_GITHUB=	yes
GH_ACCOUNT=	lumina-desktop
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== port-files/FreeBSD/deskutils/lumina-screenshot/Makefile ===
# $FreeBSD$

PORTNAME=	lumina-screenshot
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	jt@ixsystems.com
COMMENT=	Screenshot utility from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_SUB=		yes
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USES=		qmake qt:5
USE_QT=		core gui widgets network svg \
		buildtools_build x11extras concurrent multimedia
USE_GITHUB=	yes
GH_ACCOUNT=	lumina-desktop
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== port-files/FreeBSD/deskutils/lumina-textedit/Makefile ===
# $FreeBSD$

PORTNAME=	lumina-textedit
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	deskutils

MAINTAINER=	jt@ixsystems.com
COMMENT=	Plaintext editor from the Lumina Desktop

LICENSE=	BSD3CLAUSE

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	I18N
OPTIONS_SUB=		yes
OPTIONS_DEFAULT=	I18N
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

MAKE_JOBS_UNSAFE=yes

USES=		qmake qt:5
USE_QT=		core gui widgets network svg printsupport \
		buildtools_build x11extras concurrent multimedia
USE_GITHUB=	yes
GH_ACCOUNT=	lumina-desktop
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/desktop-utils/${PORTNAME}

.if${PORT_OPTIONS:MI18N}
USE_QT+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== port-files/FreeBSD/x11/lumina-core/Makefile ===
# $FreeBSD$

PORTNAME=	lumina-core
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
CATEGORIES=	x11

MAINTAINER=	jt@ixsystems.com
COMMENT=	Lumina Desktop Environment

LICENSE=	BSD3CLAUSE

RUN_DEPENDS=	fluxbox>=0:x11-wm/fluxbox \
		xscreensaver>=0:x11/xscreensaver \
		xbrightness>=0:x11/xbrightness \
		compton>=0:x11-wm/compton \
		xrandr>=0:x11/xrandr \
		numlockx>=0:x11/numlockx
LIB_DEPENDS+=	libxcb-ewmh.so:x11/xcb-util-wm \
		libxcb-icccm.so:x11/xcb-util-wm \
		libxcb-image.so:x11/xcb-util-image \
		libxcb-util.so:x11/xcb-util \
		libXcursor.so:x11/libXcursor

CONFLICTS_INSTALL=	lumina-1.2.*

OPTIONS_DEFINE=	MULTIMEDIA TRUEOS I18N
OPTIONS_SUB=		yes
OPTIONS_DEFAULT=	MULTIMEDIA I18N
MULTIMEDIA_DESC=	Install multimedia support backend (gstreamer)
TRUEOS_DESC=	Use the TrueOS system interface settings.
I18N_DESC= Install localization files

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MMULTIMEDIA}
RUN_DEPENDS+=	gstreamer1-plugins-core>=0:multimedia/gstreamer1-plugins-core
.endif

MAKE_JOBS_UNSAFE=yes
USES=		qmake qt:5

USE_GL=		gl
USE_XORG=	x11 xdamage xcb
USE_LDCONFIG=	yes
USE_QT=		core gui widgets network svg multimedia imageformats \
		buildtools_build x11extras concurrent

USE_GITHUB=	yes
GH_ACCOUNT=	lumina-desktop
GH_PROJECT=	lumina
GH_TAGNAME=	%%GHTAG%%
WRKSRC_SUBDIR=	src-qt5/core

#Setup the qmake configuration options
.if ${PORT_OPTIONS:MTRUEOS}
QMAKE_ARGS=	DEFAULT_SETTINGS=TrueOS
.endif

.if${PORT_OPTIONS:MI18N}
USE_QT+= linguist_build
QMAKE_ARGS+=CONFIG+=WITH_I18N
.endif

.include <bsd.port.mk>

=== port-files/FreeBSD/x11/lumina/Makefile ===
# $FreeBSD$

PORTNAME=	lumina
PORTVERSION=	%%CHGVERSION%%
PORTREVISION=	%%CHGREVISION%%
PORTEPOCH=	3
CATEGORIES=	x11

MAINTAINER=	jt@ixsystems.com
COMMENT=	Lumina Desktop Environment (meta-port)

LICENSE=	BSD3CLAUSE

RUN_DEPENDS=	lumina-core>=0:x11/lumina-core \
		lumina-coreutils>=0:x11/lumina-coreutils \
		lumina-archiver>=0:deskutils/lumina-archiver \
		lumina-calculator>=0:deskutils/lumina-calculator \
		lumina-fileinfo>=0:deskutils/lumina-fileinfo \
		lumina-fm>=0:deskutils/lumina-fm \
		lumina-mediaplayer>=0:deskutils/lumina-mediaplayer \
		lumina-pdf>=0:deskutils/lumina-pdf \
		lumina-screenshot>=0:deskutils/lumina-screenshot \
		lumina-textedit>=0:deskutils/lumina-textedit 

CONFLICTS_INSTALL=	lumina-1.2.*

USES=		metaport

.include <bsd.port.mk>

=== port-files/obsolete/debian/control ===
Source: lumina-desktop
Section: x11
Priority: optional
Maintainer: Christopher Roy Bratusek <nano@jpberlin.de>
Uploaders: Valentin OVD <vovd.tanglu@gmail.com>
Build-Depends: debhelper (>= 9), qt5-qmake, qtbase5-dev, qtmultimedia5-dev,
               libxcb1-dev, libx11-xcb-dev, libxcb-composite0-dev, libxcb-ewmh-dev,
               libx11-dev, libxrender-dev, libxcomposite-dev, libxdamage-dev,
               libxcb-icccm4-dev, libxcb-damage0-dev, libxcb-util0-dev,
               libqt5x11extras5-dev, qttools5-dev-tools, libxcb-image0-dev,
               libpoppler-qt5-dev, qtdeclarative5-dev, libqt5svg5-dev,
               libxcb-xinput0-dev
Standards-Version: 3.9.6
Homepage: https://github.com/trueos/lumina

Package: lumina-desktop
Architecture: any
Replaces: lumina-core (<< 0.8.3.372)
Depends: ${misc:Depends}, ${shlibs:Depends},
         lumina-config, lumina-fm, oxygen-icon-theme,
         lumina-open, lumina-screenshot, lumina-search, lumina-info,
         lumina-xconfig, lumina-fileinfo, lxpolkit, lumina-data,
         lumina-textedit, lumina-archiver, lumina-calculator,
         fluxbox, numlockx, xbacklight, xscreensaver, alsa-utils, acpi,
         gstreamer1.0-plugins-base, procps, sysstat, phonon4qt5-backend-gstreamer
Recommends: qt5-configuration-tool, usbmount, xarchiver, pavucontrol, compton
Description: Lightweight Qt5-based desktop environment
 Metapackage depending on all other lumina packages.

Package: lumina-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: lumina-core (<< 0.8.3.372)
Description: Configuration utility for the lumina desktop environment
 lumina-config allows to change various aspects of lumina and fluxbox, like
 the wallpaper beeing used, theme, icons, panel (and plugins), startup and 
 default applications, desktop-menu and more.

Package: lumina-fm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: lumina-core (<< 0.8.3.372)
Description: Filemanager for the lumina desktop environment
 Simple filemanager for lumina with support for multiple view modes, tabbed browsing,
 including an integrated slideshow-based picture viewer.

Package: lumina-open
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: lumina-core (<< 0.8.3.372)
Description: xdg-open like utility for the lumina desktop environment
 lumina-open handles opening of files and urls according to the system wide
 mime type association. It also provides an optional selector if more than one
 application is assigned with the given url or file type.

Package: lumina-screenshot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: lumina-core (<< 0.8.3.372)
Description: Screenshot utility for the lumina desktop environment
 Simple screenshot utility that allows to snapshot the whole desktop or a
 single window after a configurable delay.
 .
 Optionally the window border can be hidden when taking a screenshot of a
 single window.

Package: lumina-search
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: lumina-core (<< 0.8.3.372)
Description: Search utility for the lumina desktop environment
 Simple search utility that allows to search for applications or files and
 directories in the user's HOME directory and launch or open them.

Package: lumina-info
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: lumina-core (<< 0.8.3.372)
Description: Basic information utility for Lumina
 lumina-info display various information about the Lumina installation,
 like paths, contributors, license or version.

Package: lumina-xconfig
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: lumina-core (<< 0.8.3.372)
Description: Display configuration tool for the lumina desktop environment
 Simple multi-head aware display configuration tool for Lumina

Package: lumina-fileinfo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: lumina-core (<< 0.8.3.372)
Description: Desktop file editor for the lumina desktop environment
 Advanced desktop file (menu) editor for Lumina

Package: lumina-textedit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Texteditor for the lumina desktop environment
 Simple Texteditor for for Lumina, featuring
 - tabs for multiple files
 - syntax highlighting
 - line wrapping

Package: lumina-archiver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Archiver for the lumina desktop environment
 Simple Archiver for for Lumina

Package: lumina-calculator
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Calculator for the lumina desktop environment
 Simple Calculator for for Lumina

Package: lumina-data
Architecture: all
Depends: ${misc:Depends}
Replaces: lumina-core (<< 0.8.3.372)
Description: Data files for the lumina Desktop environment
 This package provides
  * Lumina Wallpapers
  * Lumina Themes
  * Lumina Translations
  * Lumina Sounds
  * Fallback fluxbox configuration

=== port-files/obsolete/debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#
# you may want to comment-out --parallel if build breaks for
# no visible reason or without meaningful error message
#

%:
	dh $@ --parallel

# For Debian GNU/Linux which does not offer manually compiled
# libxcb-xinput0/libxcb-xinput0-dev, add the following flag:
#
# CONFIG+=NO_XINPUT
#
# also remove
#
# libxcb-xinput0-dev
#
# from dependencies in debian/rules (obviously)

override_dh_auto_configure:
	/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmake \
		PREFIX=/usr \
		LIBPREFIX=/usr/lib/$(DEB_HOST_MULTIARCH) \
		L_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		L_ETCDIR=/etc \
		QMAKE_CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		QMAKE_LFLAGS="$(LDFLAGS) -Wl,--as-needed" \
		CONFIG+=nostrip \
		CONFIG+=WITH_I18N \
		QMAKE_CFLAGS_ISYSTEM=

override_dh_auto_clean:
	dh_auto_clean
	-find $(CURDIR) -name *.qm -delete

override_dh_install:
	dh_install --list-missing

=== port-files/obsolete/debian/watch ===
version=3
https://github.com/pcbsd/lumina/releases/ .*/v(\d[\d\.]+)-Release\.tar\.gz
